%define	name	ipmitool
%define	version	1.8.2
%define release	1mdk
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}

Summary:	Utility for interfacing with IPMI devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://optusnet.dl.sourceforge.net/sourceforge/ipmitool/%{name}-%{version}.tar.bz2
Patch0:		ipmitool-1.5.9-include.patch
License:	GPL
Group:		System/Kernel and hardware
Url:		http://ipmitool.sourceforge.net/ 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	IPMI

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and (remote) control
and is implemented by many hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control. 

%prep
%setup -q
#%patch0

%build
./configure \
        --enable-ipmievd \
        --enable-intf-lan \
        --enable-intf-open \
        --enable-intf-lanplus \
        --with-kerneldir=/usr/src/linux \
        --prefix=%{_prefix} \
        --bindir=%{_bindir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --mandir=%{_mandir} \
        --sysconfdir=%{_sysconfdir} \
        --with-plugin-path=%{_libdir}/ipmitool
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/%{name}/*
%{_defaultdocdir}/%{name}/*

%changelog
* Mon Jun  6 2005 Erwan Velu <velu@seanodes.com> 1.8.2-1mdk
- 1.8.2
- Adding ipmievd

* Fri Apr  1 2005 Olivier Blin <oblin@mandrakesoft.com> 1.6.0-2mdk
- don't require libs in main package, they aren't produced anymore

* Thu Mar 03 2005 Erwan Velu <erwan@seanodes.com> 1.6.0-1mdk
- 1.6.0

* Wed Aug 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.9-5mdk
- lib64 fixes

* Fri Aug 13 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-4mdk
- Fixing description
* Wed Aug 11 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-3mdk
- Requires IPMI
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-2mdk
- Fixing versionning of libs
- Fixing requires
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-1mdk
- Initial MDK Release
